package com.aitrainer.api.test


import com.aitrainer.api.controller.ExerciseTreeController
import com.aitrainer.api.repository.ExerciseTreeRepository
import org.junit.jupiter.api.Test
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals

@SpringBootTest
class ExerciseTreeTest {
    private val logger = LoggerFactory.getLogger(javaClass)

    @Autowired
    private lateinit var exerciseTreeRepository: ExerciseTreeRepository

    @Test
    fun testActiveExercises() {
        val exerciseTreeController = ExerciseTreeController(exerciseTreeRepository)
        val exerciseTree = exerciseTreeController.getAllActiveMenu()
        logger.info("Tree $exerciseTree")

        val exerciseTreeItem = exerciseTree[0]
        assertEquals(exerciseTreeItem.name, "Cardio")
        assertEquals(exerciseTree[1].translations[0].name, "Erő")

    }
}